digiKam Developer Documentation: Digikam::FFmpegBinary Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::FFmpegBinary Class Reference
Inheritance diagram for Digikam::FFmpegBinary:

## Public Member Functions
| FFmpegBinary (QObject *const parent=nullptr)
Public Member Functions inherited from Digikam::DBinaryIface
| DBinaryIface (const QString &binaryName, const QString &minimalVersion, const QString &header, const int headerLine, const QString &projectName, const QString &url, const QString &pluginName, const QStringList &args=QStringList(), const QString &desc=QString())
| DBinaryIface (const QString &binaryName, const QString &projectName, const QString &url, const QString &pluginName, const QStringList &args=QStringList(), const QString &desc=QString())
virtual QString | baseName () const
virtual bool | checkDir ()
virtual bool | checkDirForPath (const QString &path)
const QString & | description () const
bool | developmentVersion () const
virtual QString | directory () const
bool | hasError () const
bool | isFound () const
bool | isValid () const
virtual QString | minimalVersion () const
virtual QString | path () const
virtual QString | path (const QString &dir) const
virtual QString | projectName () const
virtual bool | recheckDirectories ()
virtual void | setup (const QString &prev=QString())
virtual QUrl | url () const
const QString & | version () const
bool | versionIsRight () const
bool | versionIsRight (const float) const

## Static Public Member Functions
static QString | ffmpegToolBin ()
Static Public Member Functions inherited from Digikam::DBinaryIface
static QString | goodBaseName (const QString &b)

## Additional Inherited Members
Public Slots inherited from Digikam::DBinaryIface
virtual void | slotAddPossibleSearchDirectory (const QString &dir)
virtual void | slotAddSearchDirectory (const QString &dir)
virtual void | slotNavigateAndCheck ()
Signals inherited from Digikam::DBinaryIface
void | signalBinaryValid ()
void | signalSearchDirectoryAdded (const QString &dir)
Protected Member Functions inherited from Digikam::DBinaryIface
QString | findHeader (const QStringList &output, const QString &header) const
virtual bool | parseHeader (const QString &output)
virtual QString | readConfig ()
void | setVersion (QString &version)
virtual void | writeConfig ()
Protected Attributes inherited from Digikam::DBinaryIface
const QStringList | m_binaryArguments
const QString | m_binaryBaseName
QLabel * | m_binaryLabel = nullptr
const bool | m_checkVersion
const QString | m_configGroup
QString | m_description
bool | m_developmentVersion = false
QLabel * | m_downloadButton = nullptr
bool | m_hasError = false
const int | m_headerLine
const QString | m_headerStarts
bool | m_isFound = false
QLineEdit * | m_lineEdit = nullptr
const QString | m_minimalVersion
QPushButton * | m_pathButton = nullptr
QString | m_pathDir = QLatin1String("")
QFrame * | m_pathWidget = nullptr
const QString | m_projectName
QSet< QString > | m_searchPaths
QLabel * | m_statusIcon = nullptr
const QUrl | m_url
QString | m_version = QLatin1String("")
QLabel * | m_versionLabel = nullptr